Debian Lenny

Sekcia: Hardware a Drivery 08.04.2009 | 00:19
rado.lv   Návštevník
ahojte,

xel by som si nainstalovat Debian Lenny 5.0.0, ale po vyskusani Live CD som sa stretol s problemom a to nefungujucou grafikou a wifi. Jedna sa o grafiku Intel Graphics Chip 4500MHD a wifi sietovku Intel 5100ABG wireless network adapter.
Nemate niekto, alebo neviete o navode, podla ktoreho by som si mohol Lenny nainstalovat?
Dakujem.
    • Re: Debian Lenny 08.04.2009 | 00:23
      Avatar pejta Archlinux  Používateľ
      • Re: Debian Lenny 08.04.2009 | 00:41
        rado.lv   Návštevník
        sorry, asi som mal napisat, ze nie som asi az tak zbehly.
        ja som ten instalacny navod, co si uviedol samozrejme nasiel, ale nejako som tam nenasiel nic, co by mi ako nie velmi skusenemu pomohlo rozhehat tu grafiku a wifi.

        kedze je ubuntu robene z debianu a tam mi obe veci isli, predpokladal som, ze by to nemuselo byt az tak zlozite, ale zrejme som sa mylil :(
        • Re: Debian Lenny 08.04.2009 | 01:00
          Avatar johnny.ha ArchLinux  Používateľ
          No ono je to v tom, ze lenny ma jadro 2.6.26. a ubuntu 8.10 ma 2.6.27-7, tak moze byt ze tam nieje podpora hw. Ja mam tiez debian lenny ale s vlastym skompilovanym kernelom 2.6.29. kernel som si spravil na notas a dal som si tam len to co potrebujem, taky monoliticky kernel.

          Byt tebou skompilujem nove jadro, alebo aspon sa pozriet ci je podpora pre tvoj hw.
          • Re: Debian Lenny 08.04.2009 | 01:07
            rado.lv   Návštevník
            ufff, diky za odpoved. uz je mi jasnejsie aspon to o tom kernely aj ked neviem presne o com pises. v zivote som este nic nekompiloval a uz vobec nie jadro systemu. pri ubuntu som to este nepotreboval :)

            nieco o tom, co pises som uz nasiel aj niekde inde, podla coho mi vyxadza, ze to bude asi cesta ako si to vyskusat. obavam sa, ze pre mna to bude aj konecna, pretoze vobec netusim ako nieco take spravit :(((
    • Re: Debian Lenny 08.04.2009 | 01:06
      Avatar Laco Debian Lenny  Používateľ
      grafika tu
      wifi tu
    • Re: Debian Lenny 08.04.2009 | 01:17
      rado.lv   Návštevník
      ty jo :(((
      a neviete kedy vyjde debian, ktory bude uz mat taky kernel ako ma teraz ubuntu 8.10?
      toto fakt nevypada ako nieco, co by som bol sxopny zvladnut, zial :(((
      • Re: Debian Lenny 08.04.2009 | 01:24
        Avatar Laco Debian Lenny  Používateľ
        kamo nezufaj, moje prve distro bol lenny ked bol este ako testovacia verzia....tiez mi nic neslo, zvukovka, grafika, bluetooth...proste nic...tak som sa v tom zacal hrabat, postupne sa mi podarilo na vsetko najst, skompilovat a sfunkcnit ovladace....a za 2 tyzdne som si skompiloval aj vtedy aktualne jadro....tak hor sa, citaj navody, je to tam vsetko popisane ... to je cesta ako sa naucit riesit problemy v linuxe....
        • Re: Debian Lenny 08.04.2009 | 01:26
          rado.lv   Návštevník
          no to je fakt. inak sa to asi naozaj nenaucim.
          ospravedlnujem sa za zdvojeny prispevok. zmrzol mi internet a odislo to 2 x :((
          • Re: Debian Lenny 08.04.2009 | 01:40
            Avatar Stanislav Hoferek Greenie, Manjaro, Q4OS, Lubuntu  Používateľ
            a chces priamo debian? totiz distribucii je vela.

            ak sa ale chces naucit vrtat v linuxe, tak debian nie je zla volba
            • Re: Debian Lenny 08.04.2009 | 01:44
              rado.lv   Návštevník
              ano, momentalne xem skusit priamo debian. napr. aj kvoli komentarom k tvojmu test :)
              za skusku nic nedam a k ubuntu sa mozem vratit hocikedy :)
    • Re: Debian Lenny 08.04.2009 | 01:19
      rado.lv   Návštevník
      ty jo :(((
      a neviete kedy vyjde debian, ktory bude uz mat taky kernel ako ma teraz ubuntu 8.10?
      toto fakt nevypada ako nieco, co by som bol sxopny zvladnut, zial :(((
      • Re: Debian Lenny 08.04.2009 | 01:25
        kipikasa   Návštevník
        najskor nikdy...
      • Re: Debian Lenny 08.04.2009 | 01:26
        Avatar b13dr0nk4 Debian Sid / Mandriva 2009.1  Používateľ
        v debian unstable je 2.6.29, teda novsie, ako v stabilnom ubuntu 8.10. problem trosku je, ze som nenasiel non-free veci do tohoto jadra, ale len pre 2.6.26
        http://www.debian-linux.cz - serverík v zrozumiteľnej reči pre "Debianistov"
      • Re: Debian Lenny 08.04.2009 | 01:28
        Avatar b13dr0nk4 Debian Sid / Mandriva 2009.1  Používateľ
        kazdopadne grafika by mala ist aspon vo vesa mode, pripadne s i810 ovladacom. len mozno bude problem s nestandardnym rozlisenim.

        otazka je, ze preco chces silou-mocou debian, kde ti nieco (dve nieca) nejde namiesto funkcneho ubuntu ci ineho distra?
        http://www.debian-linux.cz - serverík v zrozumiteľnej reči pre "Debianistov"
        • Re: Debian Lenny 08.04.2009 | 01:37
          rado.lv   Návštevník
          grafika vo vesa mode ide samozrejme, len rozlisenie je tam divoke :(
          debian xem vyskusat, pretoze som o nom vela dobreho pocul. ako som uz vyssie pisal, predpokladal som, ze to nebude problem, ked ho nemam s ubuntu a to je postavene na debiane. zmylil som sa, co uz.
          kazdopadne to vyskusam a mozno aj rozbeham. ak sa mi to podari, posuniem sa opat o kusok dalej s linuxom, ak nie, tak sa vratim naspat k ubuntu alebo fedore a nic sa nedeje. nic ine v tom nie je.
          • Re: Debian Lenny 08.04.2009 | 01:40
            Avatar b13dr0nk4 Debian Sid / Mandriva 2009.1  Používateľ
            jasne. vela stastia.
            http://www.debian-linux.cz - serverík v zrozumiteľnej reči pre "Debianistov"
        • Re: Debian Lenny 08.04.2009 | 01:37
          Avatar pejta Archlinux  Používateľ
          si schopny, len si to treba naštudovať. ale na tvojom mieste by som začal s Ubuntu, získal taký ten všeobecný prehľad a až potom Debian :-)
          • Re: Debian Lenny 08.04.2009 | 01:40
            Avatar b13dr0nk4 Debian Sid / Mandriva 2009.1  Používateľ
            ja? :-)
            http://www.debian-linux.cz - serverík v zrozumiteľnej reči pre "Debianistov"
            • Re: Debian Lenny 08.04.2009 | 01:44
              Avatar Laco Debian Lenny  Používateľ
              inak mozno by mohol skusit Greenie :)))
              • Re: Debian Lenny 08.04.2009 | 01:47
                Avatar b13dr0nk4 Debian Sid / Mandriva 2009.1  Používateľ
                mozno. ale len mozno. a mozno by mohol skusit lunar linux. ale tiez len mozno.

                prihovaram sa skor za ubuntu.
                http://www.debian-linux.cz - serverík v zrozumiteľnej reči pre "Debianistov"
            • Re: Debian Lenny 08.04.2009 | 01:45
              Avatar pejta Archlinux  Používateľ
              no, myslím že aj ty :D, ale tak maly preklik
              • Re: Debian Lenny 08.04.2009 | 01:49
                Avatar b13dr0nk4 Debian Sid / Mandriva 2009.1  Používateľ
                nie nieeeee.. prosim nie. debian mi ide, zatial nemenim.
                http://www.debian-linux.cz - serverík v zrozumiteľnej reči pre "Debianistov"
        • Re: Debian Lenny 08.04.2009 | 01:42
          Avatar Laco Debian Lenny  Používateľ
          vesa mu ide, o tom som presvedceny, ale sam vies, ze to nie je dva krat vyhra...kazdopadne rozbehat intel grafiku je jednoduche. taktiez intel wifi, tiez som o tom presvedceny, ze mu chyba len firmware(reason -2), lebo iwlwifi je zahrnuty do kernelu od 2.6.26 , dmesg by napovedal viac. tiez jednoducha zalezitost, skopirovat firmware do /lib/firmware ... linky som postol, nemal by byt problem to rozbehat
    • Re: Debian Lenny 08.04.2009 | 01:52
      rado.lv   Návštevník
      diky za rady. myslim, ze po podrobnom prestudovani tyx linkov, co som od vas dostal to zvladnem.
      ubuntu skusat nemusim, bo ho uz pouzivam nejaku dobu, ale kedze mi tam viac menej vsetko islo bez problemov a nejake drobnosti som zvladol, tak tam sa nemam velmi co ucit kompilovat. preto si vyskusam debian a uvidim ako sa mi bude darit.
      • Re: Debian Lenny 08.04.2009 | 01:54
        Avatar b13dr0nk4 Debian Sid / Mandriva 2009.1  Používateľ
        ked chces velmi kompilovat, tak lunar. a hura na neho :-)
        http://www.debian-linux.cz - serverík v zrozumiteľnej reči pre "Debianistov"
        • Re: Debian Lenny 08.04.2009 | 01:56
          rado.lv   Návštevník
          velmi nexem :))) iba tolko kolko budem musiet aby som si to rozbehal :)
        • Re: Debian Lenny 08.04.2009 | 02:03
          Avatar pejta Archlinux  Používateľ
          skôr linuxfromscratch, to je bávka :-D
      • Re: Debian Lenny 08.04.2009 | 17:21
        --   Návštevník
        pre instalaciu debianu lenny s kernelom 2. 6.28 mozes skusit nasledujuce instalacne obrazy: http://kmuto.jp/b.cgi/debian/d-i-2628-lenny.htm
    • Re: Debian Lenny 08.04.2009 | 01:53
      rado.lv   Návštevník
      jaaaaj, este jedna otazka. odporucate mi skusit radsej 32 bit alebo 64 bit verziu?
      mam core 2 duo t8400 a 4 gb ram. dik
      • Re: Debian Lenny 08.04.2009 | 01:55
        Avatar b13dr0nk4 Debian Sid / Mandriva 2009.1  Používateľ
        rozbehaj najprv vsetko na 32b.. a ked to pojde, tak mozes skusit 64 - odpadne hladanie, ci by to vobec islo alebo nie.
        http://www.debian-linux.cz - serverík v zrozumiteľnej reči pre "Debianistov"
      • Re: Debian Lenny 08.04.2009 | 02:09
        Avatar Laco Debian Lenny  Používateľ
        velmi jednoducho....ak mas 4GB ram, tak 32bit, lebo ten dokaze adresovat pamat max 4GB, ak si kupis viac RAM, tak mozes skusit aj 64bit. ak pouzivas komp na bezne veci, tak rozdiel medzi 32bit a 64bit ani nespozorujes, viditelne to zacne byt pri nejakych grafickych processingoch alebo vedeckych vypoctoch...tiez ak pracujes s aplikaciu, ktora ti zozerie viac ako 2mega RAM, tak s tym maju 32bity problem....ale myslim, ze ti bude stacit 32bit
        • Re: Debian Lenny 08.04.2009 | 02:15
          Avatar pejta Archlinux  Používateľ
          nj, rýchlosť je vpodstate rovnaká, len k niektorým aplikáciám budeš musieť doinštalovať 32 bit aplikácie. a s tými 32bit a 4GB ram to nie je tak celkom pravda
          • Re: Debian Lenny 08.04.2009 | 02:36
            Avatar Laco Debian Lenny  Používateľ
            neviem co nie je pravdy na tom, ze 32bit procak vie adresovat max 4GB ramky. to, ze vacsinou mas v systeme dostupnych len cca3GB, je druha vec (memory mapped IO reservations). a na druhej strane, PAE-enabled kernel je riesenie...ale neviem naozaj, co si mal presne na mysli tym, ze to nie je celkom pravda
            • Re: Debian Lenny 08.04.2009 | 02:50
              Avatar pejta Archlinux  Používateľ
              presne to PAE, ktoré je pokiaľ sa nemýlim, defaultne zvyčajne zapnuté
            • Re: Debian Lenny 08.04.2009 | 03:06
              Avatar b13dr0nk4 Debian Sid / Mandriva 2009.1  Používateľ
              no 32 bit vie adresovat do 2 na 32-hu, teda do 4 294 967 296 adries. kedze vsak musi adresovat aj napr. pamat na VGA, zvukovke, blablabla, tak realne dostupnej (adresovatelnej) pamate je nieco okolo 3,2-3,5 GB (zavisi od poctu a druhu zariadeni v systeme, dva rozne PC nebudu mat tento udaj rovnaky).

              takze asi myslel, ze je pravda, ze 32 bit vie adresovat 4 giga adries (napr. bajtov), ale realne to nebudu prave 4 GB RAM, lebo tam nie su osamotene.
              http://www.debian-linux.cz - serverík v zrozumiteľnej reči pre "Debianistov"
    • Re: Debian Lenny 08.04.2009 | 20:41
      rado.lv   Návštevník
      po vcerajsej teoretickej priprave som sa k tomu dnes odhodlal, len som akosi narazil na problem.
      ono mi to akosi nenajde ani klasicku sietovu kartu a odmieta spolupracovat aj s externym hdd, kde som si postahoval tie pozadovane files.
      ufff, akosi mi doxadzaju napady. skusal som ale zatial iba s live cd, takze mozno to bude ku mne privetivejsie ked skusim netinstall :))
      • Re: Debian Lenny 08.04.2009 | 20:56
        Avatar Laco Debian Lenny  Používateľ
        jasne, skus netinstall a ak bude nejaky problem, napis...poradime :)
    • Re: Debian Lenny 10.04.2009 | 15:47
      rado.lv   Návštevník
      ahojte,

      tak sa mi to podarilo nainstalovat aj s wifi. grafiku som sice dosiahol s rozlisenim ako mam mat, ale je to stale nejake divne.
      podarilo sa mi iba nainstalovat nejaky driver intel, ale nie ten, co je zo stranky intel, spominanej vyssie. zrejme to bude asi tym.
      pri kompilacii mi to na konci vyhodi takuto hlasku:
      checking for XORG... configure: error: Package requirements (xorg-server xproto fontsproto ) were not met:

      No package 'xorg-server' found
      No package 'fontsproto' found

      Consider adjusting the PKG_CONFIG_PATH environment variable if you
      installed software in a non-standard prefix.

      Alternatively, you may set the environment variables XORG_CFLAGS
      and XORG_LIBS to avoid the need to call pkg-config.
      See the pkg-config man page for more details.

      neviete, co by to mohlo znamenat a ako si s tym mam poradit? nemyslim teraz preklad z angliny, tomu rozumiem, len neviem ako to spravit.
      balik xorg-server a fontsproto som cez synaptic vobec nenasiel. dakujem za rady.